# $Revision: 1.21 $, $Date: 2002/09/14 23:48:43 $
Summary:	A set of Solitaire type games for the X Window System
Summary(es):	X Patience - varios juegos de cartas
Summary(pl):	Zestaw pasjansw dla X Window System
Summary(pt_BR):	X Patience - vrios jogos de cartas
Name:		xpat2
Version:	1.07
Release:	10
License:	distributable - most of it GPL
Group:		X11/Applications/Games
Source0:	ftp://metalab.unc.edu/pub/Linux/games/solitaires/%{name}-%{version}-src.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-paths.patch
Patch1:		%{name}-qt-locales.patch
Patch2:		%{name}-fixes.patch
BuildRequires:	XFree86-devel
BuildRequires:	XFree86
BuildRequires:	qt-devel
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Xpat2 is a generic patience or Solitaire game for the X Window System.
Xpat2 can be used with different rules sets, so it can be used to play
Spider, Klondike, and other card games.

%description -l pl
Xpat2 jest zestawem pasjansw dla X Window. Moe by uywany z wieloma
rnymi zasadami; mona gra w Spidera, Klondike i inne gry karciane.

%description -l pt_BR
Em 1989, Dave Lemke, Heather Rose, Donald R. Woods e a Sun
Microsystems, Inc., criaram o jogo de pacincia xsol (tambm conhecido
como klondike no DOS) e as regras de alguns outros jogos de pacincia.
As caractersticas principais so variveis com conjuntos de regras e
diferentes conjuntos de cartas para diferentes resolues de
monitores. xpat2 (X Patience)  uma coleo destes variados jogos de
pacincia que iro realmente "testar a sua pacincia".

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# moc files generated for old Qt - removing them causes regeneration for new
rm -f src/{moc_*,mqmaskedit,mqhelpwin}.cpp

%build
cd lib
mv -f german de
mv -f french fr
mv -f italian it
mv -f russian ru
rm -f de_DE fr_FR it_IT
rm -f src/moc*
rm -f src/mqmaskedit.cpp
rm -f src/mqhelpwin.cpp
cd ../src
xmkmf
%{__make} CCOPTIONS="%{rpmcflags}" CXXOPTIONS="%{rpmcflags}"

cd ..
%{__make} manual

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games/Card,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT/var/games

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/Card
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

:> $RPM_BUILD_ROOT/var/games/xpat.log

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/xpat2.ps
%attr(2755,root,games) %{_bindir}/xpat2
%attr(664,root,games) /var/games/xpat.log
%{_mandir}/man6/*
%dir %{_datadir}/xpat
%{_datadir}/xpat/???*
%lang(de) %{_datadir}/xpat/de
%lang(fr) %{_datadir}/xpat/fr
%lang(it) %{_datadir}/xpat/it
%lang(ru) %{_datadir}/xpat/ru
%{_libdir}/X11/app-defaults/XPat
%lang(de) %{_libdir}/X11/app-defaults/de/XPat
%lang(fr) %{_libdir}/X11/app-defaults/fr/XPat
%lang(it) %{_libdir}/X11/app-defaults/it/XPat
%lang(ru) %{_libdir}/X11/app-defaults/ru/XPat
%config(noreplace) %{_applnkdir}/Games/Card/xpat2.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xpat2.spec,v $
Revision 1.21  2002/09/14 23:48:43  qboosh
- fixed build with qt3 (by removing pre-generated moc files)
- release 10

Revision 1.20  2002/09/03 10:46:16  blues
- added patch stollen from MDK

Revision 1.19  2002/08/30 18:34:53  qboosh
- enabled logging of finished patiences
- note: doesn't build with qt3

Revision 1.18  2002/07/27 20:31:57  kloczek
- release 9.

Revision 1.17  2002/07/27 18:08:27  blues
- new doc

Revision 1.16  2002/04/12 18:55:27  marcus
- added BR XFree86 (build requires mkdirhier command)
- rel.8.

Revision 1.15  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/18 18:31:34  gotar
- %desc

Revision 1.13  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/17 05:18:34  kloczek
- release 7: move desktop file to Games/Card/.

Revision 1.11  2002/01/02 12:07:54  kloczek
- merge translations from Conectiva.

Revision 1.10  2002/01/02 12:00:46  kloczek
- bump release to 6 for allow upgrade from MDK.

Revision 1.9  2001/10/05 08:43:32  kloczek
- changed Group to X11/Applications/Games.

Revision 1.8  2001/10/04 21:08:07  qboosh
- one more change in qt-locales patch: don't disable messages if locale=C

Revision 1.7  2001/10/04 20:09:43  ankry
- replaced CDEBUGFLAGS & CXXDEBUGFLAGS settings by (normally unused)
  CCOPTIONS & CXXOPTIONS; it preserves optimization settings

Revision 1.6  2001/10/04 18:27:23  qboosh
- fixes build flags
- /usr/X11R6/lib/games/xpat -> /usr/X11R6/share, standarized app-defaults dirs
- qt-path patch replaced by longer paths patch
- added .ps doc instead of .tex to binary package
- marked all localized resources with %%lang()
- qt version didn't support locales - qt-locales patch adds partial support

Revision 1.5  2001/10/03 14:50:51  qboosh
- taken pl translations and optflags from xpat.spec

Revision 1.4  2001/09/30 20:15:29  ankry
- adapterized
- added icon

Revision 1.3  2001/09/28 22:22:54  ankry
- updated to version 1.07
- fixed paths
- fixed source name
- TODO: find why locale does not work

Revision 1.2  2001/09/04 03:12:57  agaran
adapterized, group = games,

* Mon Jun 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add some build dependencies
- don't create ps file, ship tex file
- make sure it doesn't try to chown files during install
- don't create the desktop file inside the specfile

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath} and %%{_mandir}
- Add BuildPrereq: of tetex and tetex-dvips

* Tue Apr 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- gzipped man page
- changed the permissions on some wav files

* Fri Mar 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- upgraded to 1.06. This fixes some problems with internationalization.
- Removed xpm patch, as this is no longer necesarry.
- updated URL
- includes doc

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- gzip man page
- wmconfig --> desktop

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 10)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- use "mkdir -p" rather than mkdirhier to avoid IFS problem with bash-2.02.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
